baseURL = "http://www.thehellings.com/"
languageCode = "en-us"
title = "The Hellings"
theme = "Gregroad"
enableEmoji = true
enableRobotsTXT = true

[services]
  [services.disqus]
    # Enable Disqus
    shortname = "thehellings"

# Google Analytics
#googleAnalytics = "UA-123-45"

[params]
title = "The Hellings"
subtitle = "Greg Hellings's Peronal Site & Blog"
author = "Greg Hellings"
description = "The Hellings Family"
pygmentsCodeFences = true
pygmentsUseClasses = true
profilePicture = "images/profile.jpg"
readMore = true

[params.sidebar]
  home = "right"
  list = "right"
  single = "right"
  widgets = ["search", "taglist", "social"]

[params.widgets.social]
  facebook = "greg.hellings"
  twitter = "greghellings"
  instagram = "greghellings"
  github = "greg-hellings"
  email = "greg.hellings@gmail.com"

[taxonomies]
  category = "categories"
  series = "series"
  tag = "tags"

[menu]

  [[menu.main]]
  name = "Home"
  identifier = "home"
  weight = 100
  url = "/"

  [[menu.main]]
  name = "Posts"
  weight = 200
  identifier = "posts"
  url = "/posts/"

[deployment]

  [[deployment.targets]]
  name = "s3"
  URL = "s3://www.thehellings.com?region=us-east-2"

  [[deployment.matchers]]
  pattern = "^.+\\.(js|css|svg|ttf)$"
  cacheControl = "max-age=31536000, no-transform, public"
  gzip = true

  [[deployment.matchers]]
  pattern = "^.+\\.(png|jpg)$"
  cacheControl = "max-age=31536000, no-transform, public"
  gzip = false

  [[deployment.matchers]]
  pattern = "^.+\\.(html|xml|json)$"
  gzip = true
